メインコンテンツへスキップ
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
トークン - 時間指定価格
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInSol": "1000"
}
Get the current price of a token in USD and native currency. For historical prices, use the /prices endpoint or GraphQL DEXTrades Cube.
Related: GraphQL DEX Trades | MCP: token_get_price

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
tokenAddress
string
必須

トークンのアドレス

クエリパラメータ

timestamp
integer<int64>
必須

価格タイムスタンプ(Unix エポック秒)

レスポンス

200 - application/json

時間指定で価格を取得

Token price

address
string
必須

Token address

:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
必須

Price in USD

:

"1000"

timestamp
integer<int64>
必須

Timestamp

:

1754055151000

priceInSol
string | null

Price in native token

:

"1000"